#ifndef KIplatform_syscall
#define KIplatform_syscall

enum k_platform_syscall {
	k_platform_syscall_fgetxattr = 193,
	k_platform_syscall_ioctl = 16,
	k_platform_syscall_getppid = 110,
	k_platform_syscall_tuxcall = 184,
	k_platform_syscall_getpgid = 121,
	k_platform_syscall_semctl = 66,
	k_platform_syscall_getpeername = 52,
	k_platform_syscall_symlink = 88,
	k_platform_syscall_clone = 56,
	k_platform_syscall_read = 0,
	k_platform_syscall_pipe = 22,
	k_platform_syscall_pause = 34,
	k_platform_syscall_semget = 64,
	k_platform_syscall_setrlimit = 160,
	k_platform_syscall_getdents64 = 217,
	k_platform_syscall_seccomp = 317,
	k_platform_syscall_sync = 162,
	k_platform_syscall_listen = 50,
	k_platform_syscall_setgid = 106,
	k_platform_syscall_nfsservctl = 180,
	k_platform_syscall_sysinfo = 99,
	k_platform_syscall_semop = 65,
	k_platform_syscall_mremap = 25,
	k_platform_syscall_mknodat = 259,
	k_platform_syscall_pipe2 = 293,
	k_platform_syscall_personality = 135,
	k_platform_syscall_llistxattr = 195,
	k_platform_syscall_setns = 308,
	k_platform_syscall_readahead = 187,
	k_platform_syscall_connect = 42,
	k_platform_syscall_setdomainname = 171,
	k_platform_syscall_msgsnd = 69,
	k_platform_syscall_fallocate = 285,
	k_platform_syscall_fsetxattr = 190,
	k_platform_syscall_sendfile = 40,
	k_platform_syscall_pselect6 = 270,
	k_platform_syscall_vserver = 236,
	k_platform_syscall_flistxattr = 196,
	k_platform_syscall_lchown = 94,
	k_platform_syscall_exit = 60,
	k_platform_syscall_setuid = 105,
	k_platform_syscall_eventfd = 284,
	k_platform_syscall_getsockname = 51,
	k_platform_syscall_sendto = 44,
	k_platform_syscall_unlinkat = 263,
	k_platform_syscall_ppoll = 271,
	k_platform_syscall_keyctl = 250,
	k_platform_syscall_preadv2 = 327,
	k_platform_syscall_ftruncate = 77,
	k_platform_syscall_getdents = 78,
	k_platform_syscall_lremovexattr = 198,
	k_platform_syscall_writev = 20,
	k_platform_syscall_chroot = 161,
	k_platform_syscall_getitimer = 36,
	k_platform_syscall_utimes = 235,
	k_platform_syscall_adjtimex = 159,
	k_platform_syscall_msgrcv = 70,
	k_platform_syscall_sysfs = 139,
	k_platform_syscall_stat = 4,
	k_platform_syscall_iopl = 172,
	k_platform_syscall_renameat2 = 316,
	k_platform_syscall_renameat = 264,
	k_platform_syscall_fsopen = 430,
	k_platform_syscall_getgroups = 115,
	k_platform_syscall_settimeofday = 164,
	k_platform_syscall_getcwd = 79,
	k_platform_syscall_capset = 126,
	k_platform_syscall_getsid = 124,
	k_platform_syscall_vfork = 58,
	k_platform_syscall_readlink = 89,
	k_platform_syscall_mbind = 237,
	k_platform_syscall_tgkill = 234,
	k_platform_syscall_futimesat = 261,
	k_platform_syscall_accept = 43,
	k_platform_syscall_poll = 7,
	k_platform_syscall_execve = 59,
	k_platform_syscall_listxattr = 194,
	k_platform_syscall_putpmsg = 182,
	k_platform_syscall_rseq = 334,
	k_platform_syscall_statx = 332,
	k_platform_syscall_readlinkat = 267,
	k_platform_syscall_creat = 85,
	k_platform_syscall_fremovexattr = 199,
	k_platform_syscall_ioperm = 173,
	k_platform_syscall_recvmmsg = 299,
	k_platform_syscall_uselib = 134,
	k_platform_syscall_shmctl = 31,
	k_platform_syscall_recvfrom = 45,
	k_platform_syscall_mount = 165,
	k_platform_syscall_getrlimit = 97,
	k_platform_syscall_fadvise64 = 221,
	k_platform_syscall_fchown = 93,
	k_platform_syscall_munmap = 11,
	k_platform_syscall_mprotect = 10,
	k_platform_syscall_mincore = 27,
	k_platform_syscall_getegid = 108,
	k_platform_syscall_ptrace = 101,
	k_platform_syscall_chown = 92,
	k_platform_syscall_accept4 = 288,
	k_platform_syscall_socketpair = 53,
	k_platform_syscall_wait4 = 61,
	k_platform_syscall_shmget = 29,
	k_platform_syscall_socket = 41,
	k_platform_syscall_mmap = 9,
	k_platform_syscall_shmat = 30,
	k_platform_syscall_semtimedop = 220,
	k_platform_syscall_sigaltstack = 131,
	k_platform_syscall_uname = 63,
	k_platform_syscall_pwritev2 = 328,
	k_platform_syscall_shutdown = 48,
	k_platform_syscall_pread64 = 17,
	k_platform_syscall_times = 100,
	k_platform_syscall_getrusage = 98,
	k_platform_syscall_security = 185,
	k_platform_syscall_preadv = 295,
	k_platform_syscall_utime = 132,
	k_platform_syscall_umount2 = 166,
	k_platform_syscall_fchmodat = 268,
	k_platform_syscall_lseek = 8,
	k_platform_syscall_setfsgid = 123,
	k_platform_syscall_geteuid = 107,
	k_platform_syscall_bpf = 321,
	k_platform_syscall_mkdir = 83,
	k_platform_syscall_getrandom = 318,
	k_platform_syscall_gettid = 186,
	k_platform_syscall_prctl = 157,
	k_platform_syscall_fspick = 433,
	k_platform_syscall_getxattr = 191,
	k_platform_syscall_setfsuid = 122,
	k_platform_syscall_setpgid = 109,
	k_platform_syscall_fcntl = 72,
	k_platform_syscall_mlockall = 151,
	k_platform_syscall_setresuid = 117,
	k_platform_syscall_link = 86,
	k_platform_syscall_msync = 26,
	k_platform_syscall_swapoff = 168,
	k_platform_syscall_brk = 12,
	k_platform_syscall_fchdir = 81,
	k_platform_syscall_mlock = 149,
	k_platform_syscall_sethostname = 170,
	k_platform_syscall_chdir = 80,
	k_platform_syscall_setresgid = 119,
	k_platform_syscall_kill = 62,
	k_platform_syscall_getpid = 39,
	k_platform_syscall_fchmod = 91,
	k_platform_syscall_getpmsg = 181,
	k_platform_syscall_readv = 19,
	k_platform_syscall_capget = 125,
	k_platform_syscall_tee = 276,
	k_platform_syscall_getgid = 104,
	k_platform_syscall_dup = 32,
	k_platform_syscall_chmod = 90,
	k_platform_syscall_nanosleep = 35,
	k_platform_syscall_linkat = 265,
	k_platform_syscall_write = 1,
	k_platform_syscall_select = 23,
	k_platform_syscall_vhangup = 153,
	k_platform_syscall_bind = 49,
	k_platform_syscall_setregid = 114,
	k_platform_syscall_setxattr = 188,
	k_platform_syscall_reboot = 169,
	k_platform_syscall_signalfd4 = 289,
	k_platform_syscall_close = 3,
	k_platform_syscall_fsmount = 432,
	k_platform_syscall_pwrite64 = 18,
	k_platform_syscall_mlock2 = 325,
	k_platform_syscall_setsockopt = 54,
	k_platform_syscall_madvise = 28,
	k_platform_syscall_membarrier = 324,
	k_platform_syscall_setsid = 112,
	k_platform_syscall_mkdirat = 258,
	k_platform_syscall_faccessat = 269,
	k_platform_syscall_getcpu = 309,
	k_platform_syscall_lstat = 6,
	k_platform_syscall_truncate = 76,
	k_platform_syscall_fsync = 74,
	k_platform_syscall_openat = 257,
	k_platform_syscall_gettimeofday = 96,
	k_platform_syscall_umask = 95,
	k_platform_syscall_getuid = 102,
	k_platform_syscall_fork = 57,
	k_platform_syscall_flock = 73,
	k_platform_syscall_setreuid = 113,
	k_platform_syscall_munlock = 150,
	k_platform_syscall_mknod = 133,
	k_platform_syscall_ustat = 136,
	k_platform_syscall_newfstatat = 262,
	k_platform_syscall_dup2 = 33,
	k_platform_syscall_signalfd = 282,
	k_platform_syscall_quotactl = 179,
	k_platform_syscall_splice = 275,
	k_platform_syscall_dup3 = 292,
	k_platform_syscall_statfs = 137,
	k_platform_syscall_setpriority = 141,
	k_platform_syscall_getsockopt = 55,
	k_platform_syscall_removexattr = 197,
	k_platform_syscall_getresgid = 120,
	k_platform_syscall_getpriority = 140,
	k_platform_syscall_symlinkat = 266,
	k_platform_syscall_vmsplice = 278,
	k_platform_syscall_fdatasync = 75,
	k_platform_syscall_msgctl = 71,
	k_platform_syscall_unshare = 272,
	k_platform_syscall_recvmsg = 47,
	k_platform_syscall_munlockall = 152,
	k_platform_syscall_rmdir = 84,
	k_platform_syscall_futex = 202,
	k_platform_syscall_lgetxattr = 192,
	k_platform_syscall_msgget = 68,
	k_platform_syscall_pwritev = 296,
	k_platform_syscall_getpgrp = 111,
	k_platform_syscall_kcmp = 312,
	k_platform_syscall_sendmmsg = 307,
	k_platform_syscall_eventfd2 = 290,
	k_platform_syscall_fsconfig = 431,
	k_platform_syscall_access = 21,
	k_platform_syscall_getresuid = 118,
	k_platform_syscall_fstatfs = 138,
	k_platform_syscall_acct = 163,
	k_platform_syscall_fchownat = 260,
	k_platform_syscall_fstat = 5,
	k_platform_syscall_prlimit64 = 302,
	k_platform_syscall_unlink = 87,
	k_platform_syscall_utimensat = 280,
	k_platform_syscall_setitimer = 38,
	k_platform_syscall_execveat = 322,
	k_platform_syscall_time = 201,
	k_platform_syscall_rename = 82,
	k_platform_syscall_alarm = 37,
	k_platform_syscall_swapon = 167,
	k_platform_syscall_userfaultfd = 323,
	k_platform_syscall_open = 2,
	k_platform_syscall_setgroups = 116,
	k_platform_syscall_sendmsg = 46,
	k_platform_syscall_lsetxattr = 189,
	k_platform_syscall_syncfs = 306,
	k_platform_syscall_syslog = 103,
	k_platform_syscall_tkill = 200,
	k_platform_syscall_waitid = 247,
	k_platform_syscall_shmdt = 67,
};

#endif
